% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/properties.R
\name{width}
\alias{width}
\alias{width<-}
\alias{set_width}
\title{Table width}
\usage{
width(ht)
width(ht) <- value
set_width(ht, value)
}
\arguments{
\item{ht}{A huxtable.}

\item{value}{A length-one vector. If numeric, \code{value} is treated as a proportion of the surrounding block width (HTML) or text width (LaTeX). If character, it must be a valid CSS or LaTeX width. Set to \code{NA} to reset to the default, which is
\code{0.5}.}
}
\value{
For \code{width}, the \code{width} property.
For \code{set_width}, the modified huxtable.
}
\description{
Functions to get or set the table-level \emph{table width} property of a huxtable.
}
\examples{

width(jams) <-  0.8
width(jams)

}
\seealso{
Other table measurements: \code{\link{height}}
}
\concept{table measurements}
